跳转到主要内容
GET
/
coupon
/
{couponId}
Get Coupon
curl --request GET \
  --url https://uat-api.clinkbill.com/api/coupon/{couponId} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "code": 200,
  "msg": "success",
  "data": {
    "couponId": "<string>",
    "couponName": "<string>",
    "percentage": 123,
    "fixedAmounts": {},
    "durationMonths": 123,
    "maxRedemptionCount": 123,
    "redeemedCount": 123,
    "validPeriodEnd": 1754819711382,
    "mirroring": true,
    "terms": "<string>",
    "createTime": 1754819711382,
    "valid": true,
    "applicableProducts": [
      "<string>"
    ],
    "applicablePrices": {},
    "promotionCodeList": [
      {
        "couponId": "<string>",
        "promotionCodeId": "<string>",
        "code": "<string>",
        "status": "active",
        "firstOrderOnly": true,
        "redemptionCount": 123,
        "maxRedemptionLimit": 123,
        "validPeriodEnd": 1754819711382,
        "createTime": 1754819711382,
        "mirroring": true
      }
    ],
    "currency": "<string>",
    "amount": 123
  }
}

授权

X-API-KEY
string
header
必填

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
必填

Current timestamp in milliseconds since Unix epoch (required for request signing)

路径参数

couponId
string
必填

Unique identifier of the coupon

响应

Coupon details retrieved successfully

Body of the response message

code
integer<int32>

Response status code, 200 when success

示例:

200

msg
string

Brief description of what happened, 'success' when happy case

示例:

"success"

data
object